NX Open C++ Reference Guide
Public Member Functions | Static Public Member Functions | List of all members
NXOpen::AME::DiagramManager Class Reference

Represents an object that manages sheet elements. More...

Public Member Functions

void AddFragmentPlacedSheetElement (NXOpen::AME::FragmentObject *fragmentObject, NXOpen::Diagramming::SheetElement *sheetElement)
 Add placed sheet element to fragment object
Created in NX12.0.0. More...
 
void CopySchematicObjects (const std::vector< NXOpen::Diagramming::SheetElement * > &elements)
 Copy schematic object
Created in NX11.0.0. More...
 
NXOpen::Diagramming::ConnectionCreateConnection (NXOpen::Diagramming::Sheet *sheet, NXOpen::AME::AMEExtendedObject *startPort, NXOpen::AME::AMEExtendedObject *endPort, const std::vector< NXOpen::Point2d > &p2dBendPoints)
 Create Diagramming Connection. More...
 
NXOpen::Diagramming::NodeCreateSchematicNode (NXOpen::Diagramming::Sheet *sheet, NXOpen::AME::AMEEngObject *engObject, double locationX, double locationY, const NXString &symbolVariantName)
 Create Schematic Diagram Node. More...
 
NXOpen::Diagramming::NodeCreateSchematicNode (NXOpen::Diagramming::Sheet *sheet, NXOpen::AME::AMEEngObject *engObject, double locationX, double locationY, const char *symbolVariantName)
 Create Schematic Diagram Node. More...
 
NXOpen::Diagramming::NodeCreateSocket (NXOpen::Diagramming::Sheet *sheet, double locationX, double locationY)
 Create Socket Diagram Node Copy. More...
 
NXOpen::Diagramming::NodeCreateTopologyNode (NXOpen::Diagramming::Sheet *sheet, NXOpen::AME::AMEEngObject *engObject, double locationX, double locationY)
 Create Topology Diagram Node. More...
 
void CutSchematicObjects (const std::vector< NXOpen::Diagramming::SheetElement * > &elements)
 Cut schematic object
Created in NX11.0.0. More...
 
void DeleteConnections (const std::vector< NXOpen::Diagramming::Connection * > &elements)
 Delete Connections
Created in NX11.0.0. More...
 
void DeletePlacedSheetElements (NXOpen::AME::FragmentObject *fragment)
 Delete placed sheet elements from page
Created in NX11.0.0. More...
 
void DeleteSheetElements (const std::vector< NXOpen::Diagramming::SheetElement * > &elements)
 Delete Sheet Element
Created in NX11.0.0. More...
 
void DisconnectConnection (NXOpen::Diagramming::Connection *connection)
 Detach Diagramming Connection
Created in NX11.0.0. More...
 
NXOpen::NXObjectGetSheetPartFromPage (NXOpen::AME::PageObject *pageObject)
 Get Diagramming Sheet's Part From Page. More...
 
NXOpen::Diagramming::NodeInstantiateProductComponentInstance (NXOpen::AME::PageObject *pageObject, NXOpen::AME::ProductComponentInstance *instanceObject, double locationX, double locationY, const NXString &symbolVariantName)
 Instantiate Product Component instance and create Schematic Diagram Node. More...
 
NXOpen::Diagramming::NodeInstantiateProductComponentInstance (NXOpen::AME::PageObject *pageObject, NXOpen::AME::ProductComponentInstance *instanceObject, double locationX, double locationY, const char *symbolVariantName)
 Instantiate Product Component instance and create Schematic Diagram Node. More...
 
void LaunchPage (NXOpen::AME::PageObject *pageObject, bool isNewWindow)
 Launch fragment diagram sheet
Created in NX11.0.0. More...
 
void PasteSchematicObjects (NXOpen::AME::PageObject *page, double locationX, double locationY, std::vector< NXOpen::NXObject * > &newObjects)
 Paste schematic object
Created in NX11.0.0. More...
 
void PlaceFragmentOnPage (NXOpen::AME::FragmentObject *fragment, NXOpen::AME::PageObject *page, double locationX, double locationY)
 Place Copied Fragment on page
Created in NX11.0.0. More...
 
void ReconnectConnection (NXOpen::Diagramming::Sheet *sheet, NXOpen::Diagramming::Connection *connection, NXOpen::AME::AMEExtendedObject *targetPort, int connectionLocationType)
 Reconnect Diagramming Connection
Created in NX11.0.0. More...
 
void RefreshFragmentBoundingBox (NXOpen::Diagramming::Sheet *sheet)
 Creating or Updating fragment Sheet Bounding Box in Template
Created in NX11.0.0. More...
 
void RemovePlugPort (NXOpen::Diagramming::Sheet *sheet)
 Remove plug from object
Created in NX11.0.0. More...
 
void SetFragmentBoundingBoxAnchorPoint (NXOpen::AME::FragmentObject *fragment, double anchorX, double anchorY)
 Creating or Updating fragment Sheet Bounding Box in Template
Created in NX11.0.0. More...
 
void SetTeeJunctionRepresentationStyle (const std::vector< NXOpen::Diagramming::Node * > &elements, NXOpen::AME::AmeJunctionRepresentationStyleType representationStyle)
 Set representation style for tee Junction
Created in NX12.0.0. More...
 
void SetTeeJunctionVariant (const std::vector< NXOpen::Diagramming::Node * > &elements, NXOpen::AME::AmeTeeJunctionVariant variantIndex)
 Set variant for tee Junction
Created in NX12.0.0. More...
 
void ShowHideConnectionDirection (bool showHideConnectionDirection)
 Show/Hide Connection Direction symbol of ports on schematics pages. More...
 
void SwapConnectionSourceTarget (const std::vector< NXOpen::NXObject * > &connections)
 Swap source target for ame connections
Created in NX12.0.0. More...
 
void SwitchMountingOrientation (NXOpen::AME::AMEEngObject *engObject)
 Switch Mounting Orientation of the input NXOpen::AME::AMEEngObject object. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 
void UpdateCableInformation (NXOpen::AME::AMEEngObject *cableEO, const std::vector< NXOpen::AME::PageObject * > &pageObjects)
 Update Cable information like Cores and Core Order Indices
Created in NX12.0.0. More...
 
void UpdateConnectionBendPoints (NXOpen::Diagramming::Connection *connection, const std::vector< NXOpen::Point2d > &bendPoints)
 Update Diagramming Connection with new bend points
Created in NX12.0.0. More...
 
void UpdateNodeLocation (NXOpen::Diagramming::Node *node, double cordinateX, double cordinateY)
 Update node location
Created in NX11.0.0. More...
 
void UpdateNodeRotation (NXOpen::Diagramming::Node *node, double rotation)
 Update node rotation
Created in NX12.0.0. More...
 
void UpdateNodeSize (NXOpen::Diagramming::Node *node, double coordinateX, double coordinateY, double height, double width)
 Update node size
Created in NX12.0.0. More...
 

Static Public Member Functions

static DiagramManagerGetDiagramManager (NXOpen::Session *owner)
 Returns the DiagramManager object for the running session which serves as the 'gateway' class for the application API. More...
 

Detailed Description

Represents an object that manages sheet elements.


This object does not need a creator.

Created in NX11.0.0.

Member Function Documentation

void NXOpen::AME::DiagramManager::AddFragmentPlacedSheetElement ( NXOpen::AME::FragmentObject fragmentObject,
NXOpen::Diagramming::SheetElement sheetElement 
)

Add placed sheet element to fragment object
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragmentObjectfragmentobject
sheetElementsheetelement
void NXOpen::AME::DiagramManager::CopySchematicObjects ( const std::vector< NXOpen::Diagramming::SheetElement * > &  elements)

Copy schematic object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elementselements
NXOpen::Diagramming::Connection* NXOpen::AME::DiagramManager::CreateConnection ( NXOpen::Diagramming::Sheet sheet,
NXOpen::AME::AMEExtendedObject startPort,
NXOpen::AME::AMEExtendedObject endPort,
const std::vector< NXOpen::Point2d > &  p2dBendPoints 
)

Create Diagramming Connection.

Returns

Created in NX11.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
sheetsheet
startPortstartport
endPortendport
p2dBendPointsp2dbendpoints
NXOpen::Diagramming::Node* NXOpen::AME::DiagramManager::CreateSchematicNode ( NXOpen::Diagramming::Sheet sheet,
NXOpen::AME::AMEEngObject engObject,
double  locationX,
double  locationY,
const NXString symbolVariantName 
)

Create Schematic Diagram Node.

Returns

Created in NX11.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
sheetsheet
engObjectengobject
locationXlocationx
locationYlocationy
symbolVariantNamesymbolvariantname
NXOpen::Diagramming::Node* NXOpen::AME::DiagramManager::CreateSchematicNode ( NXOpen::Diagramming::Sheet sheet,
NXOpen::AME::AMEEngObject engObject,
double  locationX,
double  locationY,
const char *  symbolVariantName 
)

Create Schematic Diagram Node.

Returns

Created in NX11.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
sheetsheet
engObjectengobject
locationXlocationx
locationYlocationy
symbolVariantNamesymbolvariantname
NXOpen::Diagramming::Node* NXOpen::AME::DiagramManager::CreateSocket ( NXOpen::Diagramming::Sheet sheet,
double  locationX,
double  locationY 
)

Create Socket Diagram Node Copy.

Returns

Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
sheetsheet
locationXlocationx
locationYlocationy
NXOpen::Diagramming::Node* NXOpen::AME::DiagramManager::CreateTopologyNode ( NXOpen::Diagramming::Sheet sheet,
NXOpen::AME::AMEEngObject engObject,
double  locationX,
double  locationY 
)

Create Topology Diagram Node.

Returns

Created in NX11.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
sheetsheet
engObjectengobject
locationXlocationx
locationYlocationy
void NXOpen::AME::DiagramManager::CutSchematicObjects ( const std::vector< NXOpen::Diagramming::SheetElement * > &  elements)

Cut schematic object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elementselements
void NXOpen::AME::DiagramManager::DeleteConnections ( const std::vector< NXOpen::Diagramming::Connection * > &  elements)

Delete Connections
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elementselements
void NXOpen::AME::DiagramManager::DeletePlacedSheetElements ( NXOpen::AME::FragmentObject fragment)

Delete placed sheet elements from page
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragmentfragment
void NXOpen::AME::DiagramManager::DeleteSheetElements ( const std::vector< NXOpen::Diagramming::SheetElement * > &  elements)

Delete Sheet Element
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elementselements
void NXOpen::AME::DiagramManager::DisconnectConnection ( NXOpen::Diagramming::Connection connection)

Detach Diagramming Connection
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
connectionconnection
static DiagramManager* NXOpen::AME::DiagramManager::GetDiagramManager ( NXOpen::Session owner)
static

Returns the DiagramManager object for the running session which serves as the 'gateway' class for the application API.

References to all other objects in this API are obtained either directly or indirectly via methods and properties on this class. Platform Session should be initialized using 'GetSession' method from NXOpen API prior to this call.

NXOpen::NXObject* NXOpen::AME::DiagramManager::GetSheetPartFromPage ( NXOpen::AME::PageObject pageObject)

Get Diagramming Sheet's Part From Page.

Returns

Created in NX11.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
pageObjectpageobject
NXOpen::Diagramming::Node* NXOpen::AME::DiagramManager::InstantiateProductComponentInstance ( NXOpen::AME::PageObject pageObject,
NXOpen::AME::ProductComponentInstance instanceObject,
double  locationX,
double  locationY,
const NXString symbolVariantName 
)

Instantiate Product Component instance and create Schematic Diagram Node.

Returns

Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
pageObjectpageobject
instanceObjectinstanceobject
locationXlocationx
locationYlocationy
symbolVariantNamesymbolvariantname
NXOpen::Diagramming::Node* NXOpen::AME::DiagramManager::InstantiateProductComponentInstance ( NXOpen::AME::PageObject pageObject,
NXOpen::AME::ProductComponentInstance instanceObject,
double  locationX,
double  locationY,
const char *  symbolVariantName 
)

Instantiate Product Component instance and create Schematic Diagram Node.

Returns

Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")
Parameters
pageObjectpageobject
instanceObjectinstanceobject
locationXlocationx
locationYlocationy
symbolVariantNamesymbolvariantname
void NXOpen::AME::DiagramManager::LaunchPage ( NXOpen::AME::PageObject pageObject,
bool  isNewWindow 
)

Launch fragment diagram sheet
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
pageObjectpageobject
isNewWindowisnewwindow
void NXOpen::AME::DiagramManager::PasteSchematicObjects ( NXOpen::AME::PageObject page,
double  locationX,
double  locationY,
std::vector< NXOpen::NXObject * > &  newObjects 
)

Paste schematic object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
pagepage
locationXlocationx
locationYlocationy
newObjectsnewobjects
void NXOpen::AME::DiagramManager::PlaceFragmentOnPage ( NXOpen::AME::FragmentObject fragment,
NXOpen::AME::PageObject page,
double  locationX,
double  locationY 
)

Place Copied Fragment on page
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragmentfragment
pagepage
locationXlocationx
locationYlocationy
void NXOpen::AME::DiagramManager::ReconnectConnection ( NXOpen::Diagramming::Sheet sheet,
NXOpen::Diagramming::Connection connection,
NXOpen::AME::AMEExtendedObject targetPort,
int  connectionLocationType 
)

Reconnect Diagramming Connection
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheetsheet
connectionconnection
targetPorttargetport
connectionLocationTypeconnectionlocationtype
void NXOpen::AME::DiagramManager::RefreshFragmentBoundingBox ( NXOpen::Diagramming::Sheet sheet)

Creating or Updating fragment Sheet Bounding Box in Template
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheetsheet
void NXOpen::AME::DiagramManager::RemovePlugPort ( NXOpen::Diagramming::Sheet sheet)

Remove plug from object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
sheetsheet
void NXOpen::AME::DiagramManager::SetFragmentBoundingBoxAnchorPoint ( NXOpen::AME::FragmentObject fragment,
double  anchorX,
double  anchorY 
)

Creating or Updating fragment Sheet Bounding Box in Template
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fragmentfragment
anchorXanchorx
anchorYanchory
void NXOpen::AME::DiagramManager::SetTeeJunctionRepresentationStyle ( const std::vector< NXOpen::Diagramming::Node * > &  elements,
NXOpen::AME::AmeJunctionRepresentationStyleType  representationStyle 
)

Set representation style for tee Junction
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elementselements
representationStylerepresentationstyle
void NXOpen::AME::DiagramManager::SetTeeJunctionVariant ( const std::vector< NXOpen::Diagramming::Node * > &  elements,
NXOpen::AME::AmeTeeJunctionVariant  variantIndex 
)

Set variant for tee Junction
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
elementselements
variantIndexvariantindex
void NXOpen::AME::DiagramManager::ShowHideConnectionDirection ( bool  showHideConnectionDirection)

Show/Hide Connection Direction symbol of ports on schematics pages.


Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showHideConnectionDirectionshowhideconnectiondirection
void NXOpen::AME::DiagramManager::SwapConnectionSourceTarget ( const std::vector< NXOpen::NXObject * > &  connections)

Swap source target for ame connections
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
connectionsconnections
void NXOpen::AME::DiagramManager::SwitchMountingOrientation ( NXOpen::AME::AMEEngObject engObject)

Switch Mounting Orientation of the input NXOpen::AME::AMEEngObject object.


Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
engObjectengobject
tag_t NXOpen::AME::DiagramManager::Tag ( ) const

Returns the tag of this object.

void NXOpen::AME::DiagramManager::UpdateCableInformation ( NXOpen::AME::AMEEngObject cableEO,
const std::vector< NXOpen::AME::PageObject * > &  pageObjects 
)

Update Cable information like Cores and Core Order Indices
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
cableEOcableeo
pageObjectspageobjects
void NXOpen::AME::DiagramManager::UpdateConnectionBendPoints ( NXOpen::Diagramming::Connection connection,
const std::vector< NXOpen::Point2d > &  bendPoints 
)

Update Diagramming Connection with new bend points
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
connectionconnection
bendPointsbendpoints
void NXOpen::AME::DiagramManager::UpdateNodeLocation ( NXOpen::Diagramming::Node node,
double  cordinateX,
double  cordinateY 
)

Update node location
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
nodenode
cordinateXcordinatex
cordinateYcordinatey
void NXOpen::AME::DiagramManager::UpdateNodeRotation ( NXOpen::Diagramming::Node node,
double  rotation 
)

Update node rotation
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
nodenode
rotationrotation
void NXOpen::AME::DiagramManager::UpdateNodeSize ( NXOpen::Diagramming::Node node,
double  coordinateX,
double  coordinateY,
double  height,
double  width 
)

Update node size
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
nodenode
coordinateXcoordinatex
coordinateYcoordinatey
heightheight
widthwidth

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.